package com.cloudcross.ssp.model;

import java.util.Date;

public class Finance {
	private Long id;
	
	//用户账户ID
	private Long accountId;
	
	// 分配时间
	private Date actTime;
	//交易号
	private String num;
	
	//广告主名称
	private String advertiserName;
	
	//代理商充值的金额
	private Double charge;
	
	//代理商给广告主分配的金额
	private Double allocate;
	
	//广告主消费的金额
	private Double consume;
	
	private String memo;
	
	
	// 暂时未用到该值
	private Double saveMoney;
	
	//广告主代理商ID
	private Long agentId;
	//广告主ID
	private Long advertiserId;
	
	//余额
	private Double balance;

	public Double getBalance() {
		return balance;
	}
	public void setBalance(Double balance) {
		this.balance = balance;
	}
	
	//最后更新时间
	private Date upDated;
	
	public Date getUpDated() {
		return upDated;
	}
	public void setUpDated(Date upDated) {
		this.upDated = upDated;
	}
	

	//广告主账户余额
	private Double adBalance;
	//代理商账户余额
	private Double agentBalance;
	//累计分配的金额（广告主）
	private Double sumAllocation;

	public Double getAdBalance() {
		return adBalance;
	}
	public void setAdBalance(Double adBalance) {
		this.adBalance = adBalance;
	}
	public Double getAgentBalance() {
		return agentBalance;
	}
	public void setAgentBalance(Double agentBalance) {
		this.agentBalance = agentBalance;
	}
	public Double getSumAllocation() {
		return sumAllocation;
	}
	public void setSumAllocation(Double sumAllocation) {
		this.sumAllocation = sumAllocation;
	}
	
	
	
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getAccountId() {
		return accountId;
	}
	public void setAccountId(Long accountId) {
		this.accountId = accountId;
	}
	public Date getActTime() {
		return actTime;
	}
	public void setActTime(Date actTime) {
		this.actTime = actTime;
	}
	public String getNum() {
		return num;
	}
	public void setNum(String num) {
		this.num = num;
	}
	public String getAdvertiserName() {
		return advertiserName;
	}
	public void setAdvertiserName(String advertiserName) {
		this.advertiserName = advertiserName;
	}
	public Double getCharge() {
		return charge;
	}
	public void setCharge(Double charge) {
		this.charge = charge;
	}
	public Double getAllocate() {
		return allocate;
	}
	public void setAllocate(Double allocate) {
		this.allocate = allocate;
	}
	public Double getConsume() {
		return consume;
	}
	public void setConsume(Double consume) {
		this.consume = consume;
	}
	public String getMemo() {
		return memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}
	public Double getSaveMoney() {
		return saveMoney;
	}
	public void setSaveMoney(Double saveMoney) {
		this.saveMoney = saveMoney;
	}
	public Long getAgentId() {
		return agentId;
	}
	public void setAgentId(Long agentId) {
		this.agentId = agentId;
	}
	public Long getAdvertiserId() {
		return advertiserId;
	}
	public void setAdvertiserId(Long advertiserId) {
		this.advertiserId = advertiserId;
	}
	@Override
	public String toString() {
		return "Finance [id=" + id + ", accountId=" + accountId + ", actTime=" + actTime + ", num=" + num
				+ ", advertiserName=" + advertiserName + ", charge=" + charge + ", allocate=" + allocate + ", consume="
				+ consume + ", memo=" + memo + ", saveMoney=" + saveMoney + ", agentId=" + agentId + ", advertiserId="
				+ advertiserId + ", balance=" + balance + ", upDated=" + upDated + ", adBalance=" + adBalance
				+ ", agentBalance=" + agentBalance + ", sumAllocation=" + sumAllocation + "]";
	}


	
	
	
	
	

}

